﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.TreeListView;

namespace TreeListViewBorder
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			// Required to initialize variables
			InitializeComponent();
		}

		private void radTreeListView_RowIsExpandedChanged (object sender, Telerik.Windows.Controls.GridView.RowEventArgs e)
		{
			var row = e.Row as TreeListViewRow;
			if (row.IsExpanded == true)
			{
				
				
				row.BorderBrush=new SolidColorBrush(Colors.Black);
				row.BorderThickness=new Thickness(4);
			}
			else
			{
				row.BorderBrush=new SolidColorBrush(Colors.Transparent);
				row.BorderThickness=new Thickness(0);
			}
		}
	}
}